#include "al/sign.h"
#include "stdlib.h"
#include "secbus.h"

void *sign_ctx_init()
{
  void *ctx = mem_get_block(sizeof(uint64_t));

//  secbus_cbc(NULL, 0, ctx, true);

  return ctx;
}

void *sign_gen_init()
{
  return NULL;
}

void *sign_ref_init()
{
  void *sign = mem_get_block(sizeof(uint64_t));
  return sign;
}

void sign_update(void *ctx, uint32_t *addr, size_t size)
{
//  secbus_cbc((uint64_t*)addr, size, (uint64_t*)ctx, false);
}

void sign_set(void *ctx, void *sign)
{
  sign = ctx;  
}

void sign_free(void *ctx, void *sign)
{
  mem_free_block(ctx);
}

void sign_get_ref(void *sign)
{

}

bool sign_compare(void *sign_ref, void *sign_gen)
{
  return true;
}
